<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header">
    <mb-button [mbIsDisable]="isLoadingPage" mbButtonSize="MEDIUM"
        mbButtonText="{{'common.button.transferApproval' | translate}}" mbButtonTextColor="#141ED2" [customStyle]="true"
        (click)="approveTranfer()" [mbIsDisable]="isLoadingPage" *ngIf="objFunction?.approve">
    </mb-button>
</div>

<div>
    <div class="search-container">
        <div nz-row class="search-container__row">
            <div nz-col nzXl="4" nzXXl="6" class="search-container__row--col">
                <div  class="margin-bottom">
                    <span class="search-container__label ">Năm</span>
                </div>
                <div>
                    <span>{{objectSearch.periodCode}}</span>
                </div>
            </div>
            <div nz-col nzXl="5" nzXXl="6" class="search-container__row--col position-relative">
                <mb-input-text mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate }}"
                    mbType="default" mbLabelText="{{'modelOrganization.planYear.unit' | translate}}"
                    (click)="showPopup()" [(ngModel)]="objectSearch.orgName" [mbReadOnly]="true">
                </mb-input-text>
                <em *ngIf="objectSearch.orgName" nz-icon class="icon-style" (click)="clearOrgInput()"
                    nzType="close-circle" nzTheme="outline"></em>
            </div>
            <div nz-col nzXl="5" nzXXl="6" class="search-container__row--col">
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
                    mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseJob' | translate}}"
                    [mbOptionHeightPx]="55" [(ngModel)]="objectSearch.jobId">
                </mb-select>
            </div>
            <div class="search-container__row--col-button">
                <mb-button mbButtonType="NO_BORDER" mbButtonSize="MEDIUM"
                    mbButtonText="{{'common.button.search' | translate}}" mbButtonBgColor="#E8EAF6" [customStyle]="true"
                    mbButtonTextColor="#141ED2" (click)="onSearch()"></mb-button>
                <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.dowloadTemplate' | translate}}"
                    mbButtonTextColor="#141ED2" [customStyle]="true" (click)="exportExcel()">
                </mb-button>
                <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}"
                    mbButtonTextColor="#141ED2" [customStyle]="true" (click)="showUpload()">
                </mb-button>
            </div>
        </div>
    </div>

    <div class="search-container margin-top">
        <div class="btn-fill">
            <nz-switch [(ngModel)]="isFillQuick" (ngModelChange)="changeFill($event)"></nz-switch>
          <span class="text">{{'modelOrganization.adjustedStaff.fillQuick' | translate}}</span>
        </div>
        <div *ngIf="isFillQuick">
            <div nz-row class="search-container__row">
                <div nz-col nzSpan="6" class="search-container__row--col">
                    <mb-input-text mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}" (keypress)="onKeypress($event)"
                        mbType="default" mbLabelText="{{'modelOrganization.approvedStaff.adjustNumber' | translate}}" [(ngModel)]="objFill.adjustedNumber"
                        maxlength="3" (paste)="onPaste($event)" (keyup)="onKeyUp($event)">
                    </mb-input-text>
                </div>
                <div nz-col nzSpan="8" class="search-container__row--col position-relative">
                    <mb-input-text mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}"
                        mbType="default" mbLabelText="{{'modelOrganization.approvedStaff.reason' | translate}}" [(ngModel)]="objFill.reason">
                    </mb-input-text>
                </div>
                <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'modelOrganization.adjustedStaff.assignInfo' | translate}}"
                    mbButtonTextColor="#fff" mbButtonBgColor="#141ED2" [customStyle]="true" (click)="assignInfo()">
                </mb-button>
            </div>
        </div>
    </div>

    <div class="table-container ant-table-content">
        <nz-table #basicTable [nzData]="dataTable" [nzFrontPagination]="false" [nzShowPagination]="false" nzTableLayout="fixed"
        [nzScroll]="dataTable?.length > 0 ? {x:'1700px',y:'420px' }: {}">
            <thead>
                <tr>
                    <th scope="col" [nzChecked]="checked" (nzCheckedChange)="onAllChecked($event)" nzWidth="5%" nzLeft></th>
                    <th scope="col" nzWidth="5%">{{'modelOrganization.table.stt' | translate }}</th>
                    <th scope="col" nzWidth="30%">{{'modelOrganization.planYear.unitName' | translate}}</th>
                    <th scope="col" nzWidth="25%">{{'modelOrganization.planYear.job' | translate}}</th>
                    <th scope="col" nzWidth="10%">{{'modelOrganization.table.demarcationCurrent' | translate}}</th>
                    <th scope="col" nzWidth="10%">{{'modelOrganization.table.demarcationSuggest' | translate}}</th>
                    <th scope="col" nzWidth="20%" nzRight>{{'modelOrganization.approvedStaff.reason' | translate}}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let data of basicTable.data; let i = index">
                    <td [nzChecked]="quantityMap.has(data.hcpId)" (nzCheckedChange)="onItemChecked(data, $event)" nzLeft></td>
                    <td>
                        {{(pagination.currentPage * pagination.size) + (i+1)}}
                    </td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.pathName">
                        {{data.pathName}}
                    </td>
                    <td>
                        {{data.jobName}}
                    </td>
                    <td>
                       {{data.quantity?data.quantity:0}}
                    </td>
                    <td>
                        <mb-input-text nz-input [(ngModel)]="data.adjustedNumber" (keypress)="onKeypress($event)"
                            mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}"
                            (click)="onClick($event)" [mbType]="data.isChecked && !data.adjustedNumber? 'error':'default' "
                            (paste)="onPaste($event)" (keyup)="onKeyUp($event)">
                        </mb-input-text>
                    </td>
                    <td  nzRight>
                        <mb-input-text nz-input [(ngModel)]="data.reason" nz-tooltip='' [nzTooltipTitle]="data.reason"  nzTooltipPlacement="top" [mbMaxLength]="250"
                            mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}"
                            (click)="onClick($event)" [mbType]="data.isChecked && !data.reason? 'error':'default' ">
                        </mb-input-text>
                    </td>
                </tr>
            </tbody>
        </nz-table>
        <div class="pagination" *ngIf="dataTable.length">
            <div class="pagination__table-info">
                <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="">
                <span class="pagination__table-info--text"> {{'common.paging.rangePage' | translate:{result:pagination.totalElement} }}
                    {{ pagination.size * pagination.currentPage + 1 }} {{'common.paging.to' | translate}}
                    {{ pagination.size * pagination.currentPage + pagination.numberOfElements}}
                </span>
            </div>
            <nz-pagination [nzPageIndex]="pagination.currentPage + 1" [nzTotal]="pagination.totalElement"
                [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage($event)" class="pagination__icon">
            </nz-pagination>
        </div>
    </div>
</div>
